Skip to content

Current Employees

List current employees of any company by company ID.

GET /api/v1/company/current-employees

Returns a paginated list of current employees at a company.

Query parameters

Parameter Type Required Description
company_id string Yes Numeric company ID
page integer No Page number (default: 1)
per_page integer No Results per page (default: 25, max: 50)

Code examples

cURLbash
curl "https://kooperativa.io/api/v1/company/current-employees?company_id=2135371" \
  -H "Authorization: Bearer ik_live_..."
JavaScriptjs
const res = await fetch(
  "https://kooperativa.io/api/v1/company/current-employees?company_id=2135371",
  { headers: { Authorization: `Bearer ${process.env.KOOPERATIVA_API_KEY}` } }
);
const { company_id, employees, total } = await res.json();

Response

{
  "company_id": "2135371",
  "employees": [
    {
      "id": "a1b2c3d4-...",
      "full_name": "Patrick Collison",
      "current_title": "CEO & Co-founder",
      "geo_country_code": "US",
      "linkedin_url": "https://www.linkedin.com/in/patrickcollison"
    }
  ],
  "total": 16904,
  "page": 1,
  "per_page": 25
}
Navigation

Type to search…

↑↓ navigate↵ selectEsc close